dist: xenial
language: python
cache: pip
python:
  - 3.5
  - 3.6
  - 3.7
install:
  - pip install future-fstrings flit codecov
  - flit install --deps develop
script:
  - if [[ $TRAVIS_PYTHON_VERSION != 3.5 ]]; then export BLACK_SWITCH=--black; fi
  - PYTHONPATH=. pytest --cov=legacy_api_wrap $BLACK_SWITCH
  - rst2html.py --halt=2 README.rst >/dev/null
after_success: codecov
